# GetLastJob

Returns the latest job sent to Scilab engine

    BOOL GetLastJob(char *JOB,int nbcharsJOB);

## Description

This fonction returns the latest job sent to Scilab engine with the command SendScilabJob or SendScilabJobs. This can be used to display a command which failed.

BOOL is just a simple typedef on int (`typedef int BOOL` ). TRUE is defined on 1 (`#define TRUE 1`) and FALSE is defined on 0 (`#define FALSE 0`).

## Arguments

JOB

  a standard C char* which will be filled with the latest job

nbcharsJOB

  The number of char of JOB

returns

  1 (TRUE) if the operation is successfull.

  0 (FALSE) if an error during initialization occurred.

## Examples

    // A simple GetLastJob example
    // See SCI/modules/call_scilab/examples/basicExamples/GetLastJob.c for
    // the full code
    int code=SendScilabJob("failedMyCurrentJob=%pi*3/0");
    if (code!=0){
     char lastjob[4096];
     if (GetLastJob(lastjob,4096))  {
      printf("Failed command: %s\n",lastjob);
     }
    }

## See Also

- Call_Scilab
- api Scilab
- Compile and run with call_scilab
- SendScilabJob
- TerminateScilab
- Double Management
- Boolean Management
- Complex Management
- String Management